﻿/*
 * Postarc
 *
 * Author:
 * Christian Lins <christian.lins@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2012 Intevation GmbH <http://www.intevation.de/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ESRI.ArcGIS.Geometry;

namespace Postarc.Feature
{
    public interface IWKTGeometry : IGeometry
    {
        /// <summary>
        /// Generates and returns the Well-Known-Text (WKT) 
        /// representation of this Geometry.
        /// </summary>
        /// <returns>
        /// Well-Known-Text representation of this geometry
        /// </returns>
        string GetWKT();

        /// <summary>
        /// Updates this Geometry with the given Well-Known-Text (WKT)
        /// representation.
        /// </summary>
        /// <param name="wkt">Well-Known-Text geometry representation</param>
        void SetWKT(string wkt);
    }
}
